Subject: Re: [PATCH] SGI IA64 UV: fix ia64 build error in the linux-next tree

From: Dean Nelson <[email-masked]>
Date: Wed, 11 Feb 2009 09:01:03 -0600

On Tue, Feb 10, 2009 at 01:25:55PM -0800, Andrew Morton wrote:
> On Mon, 9 Feb 2009 10:25:20 -0600
> Dean Nelson <[email-masked]> wrote:
> 
> > Fix the ia64 build error that occurs in the linux-next tree by introducing
> > an ia64 version of uv.h.  Additionally, clean up the usage of is_uv_system().
> 
> Would I be correct in believing that this repairs (and should be folded
> into)
> 
>   commit 5b221278d61e3907a5e4104a844b63bc8bb3d43a
>   Author: Ingo Molnar <[email-masked]>
>   Date:   Wed Jan 21 11:30:07 2009 +0100
> 
>       x86: uv cleanup, build fix #2
> 
> ?
>
> (it looks like 5b221278d61e3907a5e4104a844b63bc8bb3d43a should be
> folded into something else, too.  What hath we wrought?)

Yes, it does fix an issue introduced by:

   commit: bdbcdd48883940bbd8d17eb01172d58a261a413a
   author: Tejun Heo <[email-masked]>
   date:   Wed, 21 Jan 2009 08:26:06 +0000

	x86: uv cleanup

which the commit you mention above attempted to fix.

I'll leave it to you and Ingo to determine whether my patch should be
folded into Ingo's or Tejun's patch.

Ingo, I see that you've applied my patch to your tip tree. What are
your thoughts on Andrew's question?

Thanks,
Dean